Bug 84930 - Temporarily disable vertical writing mode on Chromium and Windows
Summary: Temporarily disable vertical writing mode on Chromium and Windows
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 93304
  Show dependency treegraph
 
Reported: 2012-04-25 22:34 PDT by Ryosuke Niwa
Modified: 2013-04-09 17:06 PDT (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2012-04-25 22:34:38 PDT
We should disable vertical writing mode supports on non-Mac ports that don't rotate glyphs correctly so that we don't break feature detections.
Comment 1 Koji Ishii 2012-04-26 21:31:03 PDT
hmm...I understand the motivation and I think you're right, but it works 60% okay on Windows thanks to Windows transparent API using "@" prefix in the font name, and I know at least a few sites are already using it. I've got a request to ignore "@" when I provided my private build for test purpose because his site is using the feature with "@" today.

How bad is it to keep the current behavior? I'm fine to disable text-orientation because it's not working at all, but feels better if we can leave writing-mode enabled for reasons above.

Or maybe you want to disable by reading this because we don't want sites to rely on half-baked features?
Comment 2 Ryosuke Niwa 2012-04-26 21:33:00 PDT
As is, we're breaking the feature detection and doing a disservice to the Web :(
Comment 3 Koji Ishii 2012-04-26 21:50:13 PDT
Yeah, right, but we've been leaving this for more than a year, and the patch is in the review queue, so I hope we can land it within a month or so. Along with by being closer to users who wish to keep the half-baked feature, I'm leaning towards not to disable writing modes.

That's my opinion, but I'm fine to follow to whatever decisions you guys make. Is this already discussed and agreed, or are you just pinging for opinions?
Comment 4 Stephen Chenney 2013-04-09 17:06:02 PDT
Marked LayoutTest bugs, bugs with Chromium IDs, and some others as WontFix. Test failure bugs still are trackable via TestExpectations or disabled unit tests.